config-repo:
    url:
    local-path: /home/xcal/calibration_config/

web-service:
    port: 5555
    bind-to: tcp://*
    allowed-ips:
    job-db: ./webservice_jobs.sqlite
    job-update-interval: 60
    job-timeout: 3600

metadata-client:
    user-id:
    user-secret:
    user-email:
    metadata-web-app-url: 'https://in.xfel.eu/metadata'
    metadata-web-app-url: 'https://in.xfel.eu/metadata'
    token-url: 'https://in.xfel.eu/metadata/oauth/token'
    refresh-url: 'https://in.xfel.eu/metadata/oauth/token'
    auth-url: 'https://in.xfel.eu/metadata/oauth/authorize'
    scope: ''
    base-api-url: 'https://in.xfel.eu/metadata/api/'

correct:
    in-folder: /gpfs/exfel/exp/{instrument}/{cycle}/p{proposal}/raw
    out-folder: /gpfs/exfel/d/proc/{instrument}/{cycle}/p{proposal}/{run}
    sched-prio: 80
    cmd : >
        python -m xfel_calibrate.calibrate {detector} CORRECT
        --slurm-scheduling {sched_prio}
        --slurm-mem 750
        --request-time {request_time}
        --slurm-name {action}_{instrument}_{detector}_{cycle}_p{proposal}_{runs}
        --report-to /gpfs/exfel/exp/{instrument}/{cycle}/p{proposal}/usr/Reports/{runs}/{det_instance}_{action}_{proposal}_{runs}_{time_stamp}
        --cal-db-timeout 300000
        --cal-db-interface tcp://max-exfl016:8015#8044

dark:
    in-folder: /gpfs/exfel/exp/{instrument}/{cycle}/p{proposal}/raw
    out-folder: /gpfs/exfel/u/usr/{instrument}/{cycle}/p{proposal}/dark/runs_{runs}
    sched-prio: 10
    cmd: >
        python -m xfel_calibrate.calibrate {detector} DARK
        --concurrency-par karabo_da
        --slurm-scheduling {sched_prio}
        --request-time {request_time}
        --slurm-name {action}_{instrument}_{detector}_{cycle}_p{proposal}_{runs}
        --report-to /gpfs/exfel/d/cal/caldb_store/xfel/reports/{instrument}/{det_instance}/{action}/{action}_{proposal}_{runs}_{time_stamp}
        --cal-db-interface tcp://max-exfl016:8015#8044
        --db-output
